Skip to main content
POST
Create free rounds bonus code

Authorizations

X-Operator
string
header
required

Your operator identifier, issued by Zero-Dash during onboarding.

X-Zd-Signature
string
header
required

Hex-encoded HMAC-SHA512(apiPath|timestamp|data, secretKey). See Request signature.

X-Zd-Timestamp
string
header
required

Unix time in milliseconds, and the exact value signed. Requests older than 5 minutes are rejected.

Body

application/json
campaignCode
string
required

Campaign this bonus code belongs to.

userId
string
required

Player account ID. Must match the accountId returned by your Player authorization callback.

Example:

"player1"

currencyCode
string
required

Player currency. Must equal the campaign currency.

Example:

"USD"

bonusCode
string
required

Unique bonus code generated by you.

Example:

"CODE1234"

maxRounds
integer

Rounds granted by this code. Required when the campaign does not define maxRounds.

Required range: x >= 1

Response

Created. No response body.